%global modname dogpile.cache

Summary:       A caching front-end based on the Dogpile lock
Name:          python-dogpile-cache
Version:       1.2.2
Release:       1%{?dist}
License:       MIT
URL:           https://pypi.io/project/dogpile.cache
Source0:       https://pypi.io/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires: python3-decorator python3-devel python3-mako python3-setuptools
BuildRequires: python3-pytest-cov python3-stevedore python3-typing-extensions
BuildArch:     noarch


%description
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure which allows a single thread
of execution to be selected as the "creator" of some resource, while allowing other threads of
execution to refer to the previous version of this resource as the creation proceeds; if there is no
previous version, then those threads block until the object is available.

dogpile.cache is a caching API which provides a generic interface to caching backends of any
variety, and additionally provides API hooks which integrate these cache backends with the locking
mechanism of dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker caching system, the internals of
which are written by the same author.  All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft (Beaker\'s internals were
first written in 2005) relegated to the trash heap.


%package -n python3-dogpile-cache
Summary:  A caching front-end based on the Dogpile lock
Requires:           python3-mako
Provides: python3-dogpile-core = %{version}-%{release}

%description -n python3-dogpile-cache
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure which allows a single thread
of execution to be selected as the "creator" of some resource, while allowing other threads of
execution to refer to the previous version of this resource as the creation proceeds; if there is no
previous version, then those threads block until the object is available.

dogpile.cache is a caching API which provides a generic interface to caching backends of any
variety, and additionally provides API hooks which integrate these cache backends with the locking
mechanism of dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker caching system, the internals of
which are written by the same author.  All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft (Beaker\'s internals were
first written in 2005) relegated to the trash heap.

%prep
%autosetup -n %{modname}-%{version} -p1
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -k "not test_cache_preserve_sig and not test_cache_multi_preserve_sig"

%files -n python3-dogpile-cache
%license LICENSE
%doc README.rst
%{python3_sitelib}/dogpile
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.2-1
- Upgrade to version 1.2.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.8-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.8-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.8-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 1.1.8-1
- initial build
